function GetConfigParameter(Conf: Config; Param: String): String;
var
	c: Int64;
	
begin
	c := 0;
	repeat
		c := c + 1;
		if upcase(Conf.Parameter[c]) = upcase(Param) then
			break;
		until c = Conf.Length;
	
	if upcase(Conf.Parameter[c]) = upcase(Param) then
		begin
			GetConfigParameter := upcase(Conf.Value[c]);
		end
	else
		GetConfigParameter := 'NULL';
end;

function LoadConfig(Source: String): Config;
var
	Disk: Text;
	RamStr: String;
	RamStr2: String;
	c: Int64;
	c2: Int64;
	
begin
	Assign(Disk, Source);
	Reset(Disk);
	repeat
		readln(Disk, RamStr);
		until RamStr = '#START#';
	c := 0;
	repeat
		c := c + 1;
		repeat
			readln(Disk, RamStr);
			until (RamStr <> '') or (RamStr <> ' ') or (RamStr[1] <> '[');
		if RamStr = '#END#' then
			break;
		c2 := 0;
		RamStr2 := '';
		repeat
			c2 := c2 + 1;
			if RamStr[c2] <> '=' then
				RamStr2 := RamStr2 + RamStr[c2]
			else
				break;
			until RamStr[c2] = '=';
		LoadConfig.Parameter[c] := upcase(RamStr2);
		RamStr2 := '';
		
		repeat
			c2 := c2 + 1;
			until (RamStr[c2] <> '') or (RamStr[c2] <> ' ') or (RamStr[c2] <> '=');
		
		c2 := c2 - 1;
			
		repeat
			c2 := c2 + 1;
			RamStr2 := RamStr2 + RamStr[c2];
			until c2 >= Length(RamStr);
		LoadConfig.Value[c] := upcase(RamStr2);
		until RamStr = '#END#';
	LoadConfig.Length := c;
	Close(Disk);
end;
